import SwiftUI

@main
struct HealthImportApp: App {

    var body: some Scene {
        WindowGroup {
            ContentView(database: .init())
        }
    }
}

private extension HealthDatabase {

    static let databaseFileUrl = Bundle.main.url(forResource: "healthdb_secure", withExtension: "sqlite")

    convenience init() {
        try! self.init(fileUrl: HealthDatabase.databaseFileUrl!)
    }
}
